%global momorel 11
%global ruby_mm 1.8
%global ruby_os %{_target_os}
%global ruby_arch %{_target_cpu}-%{ruby_os}

%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: A program which does Japanese handwriting recognition
Name: tomoe
Version: 0.6.0
Release: %{momorel}m%{?dist}
License: LGPL
URL: https://sourceforge.jp/projects/tomoe/
Group: Applications/System
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: %{name}-%{version}-no-e.patch
Patch1: tomoe-0.6.0-bz502662.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: doxygen, glib2-devel, pkgconfig, gtk-doc
BuildPreReq: unzip, neon-devel
BuildPreReq: ruby-devel >= 1.8.6-4m, ruby-glib2-devel
BuildPreReq: python-devel
BuildPreReq: hyperestraier, mysql-devel >= 5.1.32
BuildPreReq: qdbm-devel >= 1.8.77
BuildPreReq: apr-devel, subversion-devel
BuildPreReq: automake, autoconf, libtool

%description
A program which does Japanese handwriting recognition.

%package devel
Summary: Headers of tomoe for development.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig, gtk-doc

%description devel
tomoe development package: static libraries, header files, and the like.

%prep
%setup -q
%patch0 -p1
%patch1 -p0 -b .load

%build
autoreconf -fi
%configure \
	--with-ruby-libdir=%{ruby_sitelibdir} \
	--with-ruby-extdir=%{ruby_sitearchdir}
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%dir %{_sysconfdir}/tomoe
%config %{_sysconfdir}/tomoe/config
%{_libdir}/python*/site-packages/tomoe.so
%{ruby_sitearchdir}/tomoe.so
%{ruby_sitelibdir}/tomoe.rb
%dir %{_libdir}/tomoe
%dir %{_libdir}/tomoe/module
%dir %{_libdir}/tomoe/module/dict
%{_libdir}/tomoe/module/dict/*.so
%dir %{_libdir}/tomoe/module/recognizer
%{_libdir}/tomoe/module/recognizer/simple.so
%{_libdir}/libtomoe.so.*
%{_datadir}/locale/*/LC_MESSAGES/tomoe.mo
%{_datadir}/tomoe

%files devel
%defattr(-, root, root)
%{_includedir}/tomoe
%{_libdir}/pkgconfig/pytomoe.pc
%{_libdir}/pkgconfig/tomoe.pc
%{_libdir}/python*/site-packages/tomoe.a
%{ruby_sitearchdir}/rbtomoe.h
%{ruby_sitearchdir}/tomoe.a
%{_libdir}/tomoe/module/dict/*.a
%{_libdir}/tomoe/module/recognizer/simple.a
%{_libdir}/libtomoe.a
%{_libdir}/libtomoe.so
%{_datadir}/gtk-doc/html/tomoe

%changelog
* Fri Jul  3 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.0-11m)
- import bug fix patch from Fedora
-- https://bugzilla.redhat.com/show_bug.cgi?id=502662

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.0-10m)
- rebuild against openssl-0.9.8k

* Thu Mar 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.0-9m)
- rebuild against mysql-5.1.32

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.0-8m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.6.0-7m)
- rebuild against python-2.6.1-2m

* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.0-6m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.0-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-4m)
- %%NoSource -> NoSource

* Sun Nov 18 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.0-3m)
- rebuild against qdbm-1.8.77

* Thu Aug 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.0-2m)
- change BPR from ruby-gnome2-devel to ruby-glib2-devel

* Thu Jul  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.0-1m)
- version 0.6.0
- update no-e.patch

* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.5.1-3m)
- rebuild against ruby-1.8.6-4m

* Wed Mar 21 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.1-2m)
- rebuild against qdbm-1.8.75

* Mon Feb 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.1-1m)
- version 0.5.1

* Fri Dec 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-1m)
- version 0.5.0

* Thu Nov 30 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0-1m)
- version 0.4.0
- BuildPreReq: glib-devel, pkgconfig, ruby-devel
- tomoe-devel Requires: pkgconfig, gtk-doc

* Thu Nov  9 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-1m)
- version 0.3.0

* Fri Jan 13 2006 Kazuhiko <kazuhiko@fdiary.net>
- (0.2.1-3m)
- apply 'tomoe-0.2.1-no-e.patch' to avoid dependency with enlightenment

* Wed Jan 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1-2m)
- modify %%build section for new libtool

* Sat Aug 20 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1-1m)
- version 0.2.1

* Fri Jul  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-1m)
- version 0.2.0
- add a package tomoe-devel
- add %%post and %%postun sections

* Wed Mar  2 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-1m)
- initial package for Momonga Linux
- import %%description from cooker
